GET api/CompanyAttachment/{id}
Fast method to get company by id.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
Required |
Body Parameters
None.
Response Information
Resource Description
ApiCompanyAttachmentOutput| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
None. |
|
| id_company | integer |
None. |
|
| id_person | integer |
None. |
|
| file_name | string |
None. |
|
| mark_to_delete | boolean |
None. |
|
| id_asm | integer |
None. |
|
| google_drive_file_id | string |
None. |
|
| google_drive_connection_id | integer |
None. |
|
| data_base64 | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"id": 1,
"id_company": 1,
"id_person": 2,
"file_name": "sample string 3",
"mark_to_delete": true,
"id_asm": 1,
"google_drive_file_id": "sample string 5",
"google_drive_connection_id": 1,
"data_base64": "sample string 6"
}
application/xml, text/xml
Sample:
<ApiCompanyAttachmentOutput xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"> <id>1</id> <id_company>1</id_company> <id_person>2</id_person> <file_name>sample string 3</file_name> <mark_to_delete>true</mark_to_delete> <id_asm>1</id_asm> <google_drive_file_id>sample string 5</google_drive_file_id> <google_drive_connection_id>1</google_drive_connection_id> <data_base64>sample string 6</data_base64> </ApiCompanyAttachmentOutput>